	Integer Function FTP$SIGNAL_HANDLER (	Signal_Vector,
	1					Mechanism_Vector )
c
	Integer		Signal_Vector( * ),
	1		Mechanism_Vector( * )
c
	Include '($SSDEF)'
c
	Integer		NEW_ARGS( 10 ),		Element
c	
	Element = 1
	NEW_ARGS(Element) = 10
c
	Do I = 1, Signal_Vector( 1 ) - 2
	    Element = Element + 1
	    NEW_ARGS(Element) = Signal_Vector(Element)
	End Do
c
	Do I = Element + 1, 10
	    Element = Element + 1
	    NEW_ARGS(Element) = 0
	End Do
c
	Call SYS$PUTMSG( NEW_ARGS, , 'FTP', )
c
	FTP$SIGNAL_HANDLER = SS$_Continue
c
	Return
	End
